Skip to content
Start here

List certificate logs

client.radar.ct.logs.list(LogListParams { format, limit, offset } query?, RequestOptionsoptions?): LogListResponse { certificateLogs }
GET/radar/ct/logs

Retrieves a list of certificate logs.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
query: LogListParams { format, limit, offset }
format?: "JSON" | "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit?: number

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
offset?: number

Skips the specified number of objects before fetching the results.

minimum0
ReturnsExpand Collapse
LogListResponse { certificateLogs }
certificateLogs: Array<CertificateLog>
api: "RFC6962" | "STATIC"

The API standard that the certificate log follows.

One of the following:
"RFC6962"
"STATIC"
description: string

A brief description of the certificate log.

endExclusive: string

The end date and time for when the log will stop accepting certificates.

formatdate-time
operator: string

The organization responsible for operating the certificate log.

slug: string

A URL-friendly, kebab-case identifier for the certificate log.

startInclusive: string

The start date and time for when the log starts accepting certificates.

formatdate-time
state: "USABLE" | "PENDING" | "QUALIFIED" | 3 more

The current state of the certificate log. More details about log states can be found here: https://googlechrome.github.io/CertificateTransparency/log_states.html

One of the following:
"USABLE"
"PENDING"
"QUALIFIED"
"READ_ONLY"
"RETIRED"
"REJECTED"
stateTimestamp: string

Timestamp of when the log state was last updated.

formatdate-time
url: string

The URL for the certificate log.

List certificate logs

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const logs = await client.radar.ct.logs.list();

console.log(logs.certificateLogs);
{
  "result": {
    "certificateLogs": [
      {
        "api": "RFC6962",
        "description": "Google 'Argon2024' log",
        "endExclusive": "2025-01-01T00:00:00Z",
        "operator": "Google",
        "slug": "argon2024",
        "startInclusive": "2024-01-01T00:00:00Z",
        "state": "USABLE",
        "stateTimestamp": "2025-02-01T08:53:20Z",
        "url": "https://ct.googleapis.com/logs/us1/argon2024/"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "certificateLogs": [
      {
        "api": "RFC6962",
        "description": "Google 'Argon2024' log",
        "endExclusive": "2025-01-01T00:00:00Z",
        "operator": "Google",
        "slug": "argon2024",
        "startInclusive": "2024-01-01T00:00:00Z",
        "state": "USABLE",
        "stateTimestamp": "2025-02-01T08:53:20Z",
        "url": "https://ct.googleapis.com/logs/us1/argon2024/"
      }
    ]
  },
  "success": true
}